/*********************************************************************/
/*                   Solomon Systech Limited                         */
/*********************************************************************/
/* Program Name :gpio_defhine.h
/* Description : Define main routines for programming Zilog Z8 Encore! eZ8F642c
/*               8-bit MCU to drive SSD1926 DVK board
/*				 This souce code provides a reference design for customers who intend
/*				 to use any 8-bit MCU to control SSD1926 DVK board
/*				 This file is used to define the pins controlling the DVK board
/*				 
/* Author : Aik Hong (SSL Singapore FAE)
/*********************************************************************/

/*********************************************************************/
/*                        Change Log                                 */
/*********************************************************************/
/* 13 March 2008: Initial Revision
/* Modifications :
/* 1.0 : Version 1 
/* 1.1 :
/*********************************************************************/


/* 	PE0 - /RES
 *	PE1 - E
 *	PE2 - RW
 *	PE3 - D/C
 *	PE7 - /CS  */

#define RES		0x01
#define E		0x02
#define RW		0x04
#define DC		0x08
#define CS		0x80

#define SET_RW_BIT		( PEOUT |= RW )
#define CLEAR_RW_BIT	( PEOUT &= (~RW) )

#define SET_DC_BIT		( PEOUT |= DC)
#define CLEAR_DC_BIT	( PEOUT &= (~DC) )

#define SET_E_BIT		( PEOUT |= E)
#define CLEAR_E_BIT		( PEOUT &= (~E) )

#define SET_RES_BIT		( PEOUT |= RES)
#define CLEAR_RES_BIT	( PEOUT &= (~RES) )

#define SET_CS_BIT		( PEOUT |= CS)
#define CLEAR_CS_BIT	( PEOUT &= (~CS) )



